LibreOffice: cppu::IPropertyArrayHelper Class Reference

LibreOffice LibreOffice 6.4 SDK C/C++ API Reference

Public Member Functions | Static Public Member Functions | List of all members
cppu::IPropertyArrayHelper Class Referenceabstract

This interface is used by the OPropertyHelper, to access the property description. More...

`#include <propshlp.hxx>`

Inheritance diagram for cppu::IPropertyArrayHelper:

## Public Member Functions
virtual | ~IPropertyArrayHelper ()
| Following the rule, the first virtual method implies a virtual destructor. More...
virtual sal_Bool | fillPropertyMembersByHandle (::rtl::OUString *pPropName, sal_Int16 *pAttributes, sal_Int32 nHandle)=0
| Return the property members Name and Attribute from the handle nHandle. More...
virtual css::uno::Sequence< css::beans::Property > | getProperties ()=0
| Return the sequence of properties. More...
virtual css::beans::Property | getPropertyByName (const ::rtl::OUString &rPropertyName)=0
| Return the property with the name rPropertyName. More...
virtual sal_Bool | hasPropertyByName (const ::rtl::OUString &rPropertyName)=0
| Return true if the property with the name rPropertyName exist, otherwise false. More...
virtual sal_Int32 | getHandleByName (const ::rtl::OUString &rPropertyName)=0
| Return the handle of the property with the name rPropertyName. More...
virtual sal_Int32 | fillHandles (sal_Int32 *pHandles, const css::uno::Sequence< ::rtl::OUString > &rPropNames)=0
| Fill the array with the handles of the properties. More...

## Static Public Member Functions
static void * | operator new (size_t nSize)
static void | operator delete (void *pMem)
static void * | operator new (size_t, void *pMem)
static void | operator delete (void *, void *)

## Detailed Description

This interface is used by the OPropertyHelper, to access the property description.

## Constructor & Destructor Documentation

## ◆ ~IPropertyArrayHelper()

virtual cppu::IPropertyArrayHelper::~IPropertyArrayHelper | ( |  | ) |
| virtual

Following the rule, the first virtual method implies a virtual destructor.

## Member Function Documentation

## ◆ fillHandles()

virtual sal_Int32 cppu::IPropertyArrayHelper::fillHandles | ( | sal_Int32 * | pHandles,
|  | const css::uno::Sequence< ::rtl::OUString > & | rPropNames
| ) |  |
| pure virtual

Fill the array with the handles of the properties.

Returns
  the handles of the names from the pHandles array. -1 indicates an unknown property name.

Implemented in cppu::OPropertyArrayHelper.

## ◆ fillPropertyMembersByHandle()

virtual sal_Bool cppu::IPropertyArrayHelper::fillPropertyMembersByHandle | ( | ::rtl::OUString * | pPropName,
|  | sal_Int16 * | pAttributes,
|  | sal_Int32 | nHandle
| ) |  |
| pure virtual

Return the property members Name and Attribute from the handle nHandle.

Parameters

  nHandle | the handle of a property. If the values of the handles are sorted in the same way as the names and the highest handle value is getCount() -1, then it must be an indexed access to the property array.
  pPropName | is an out parameter filled with property name of the property with the handle nHandle. May be NULL.
  pAttributes | is an out parameter filled with attributes of the property with the handle nHandle. May be NULL.

Returns
  True, if the handle exist, otherwise false.

Implemented in cppu::OPropertyArrayHelper.

## ◆ getHandleByName()

virtual sal_Int32 cppu::IPropertyArrayHelper::getHandleByName | ( | const ::rtl::OUString & | rPropertyName | ) |
| pure virtual

Return the handle of the property with the name rPropertyName.

If the property does not exist -1 is returned.

Parameters

  rPropertyName | the name of the property.

Implemented in cppu::OPropertyArrayHelper.

## ◆ getProperties()

virtual css::uno::Sequence< css::beans::Property > cppu::IPropertyArrayHelper::getProperties | ( |  | ) |
| pure virtual

Return the sequence of properties.

The sequence is sorted by name.

Implemented in cppu::OPropertyArrayHelper.

## ◆ getPropertyByName()

virtual css::beans::Property cppu::IPropertyArrayHelper::getPropertyByName | ( | const ::rtl::OUString & | rPropertyName | ) |
| pure virtual

Return the property with the name rPropertyName.

Parameters

  rPropertyName | the name of the property.

Exceptions

  UnknownPropertyException | thrown if the property name is unknown.

Implemented in cppu::OPropertyArrayHelper.

## ◆ hasPropertyByName()

virtual sal_Bool cppu::IPropertyArrayHelper::hasPropertyByName | ( | const ::rtl::OUString & | rPropertyName | ) |
| pure virtual

Return true if the property with the name rPropertyName exist, otherwise false.

Parameters

  rPropertyName | the name of the property.

Implemented in cppu::OPropertyArrayHelper.

## ◆ operator delete() [1/2]

static void cppu::IPropertyArrayHelper::operator delete | ( | void * | ,
|  | void * |
| ) |  |
| inlinestatic

## ◆ operator delete() [2/2]

static void cppu::IPropertyArrayHelper::operator delete | ( | void * | pMem | ) |
| inlinestatic

## ◆ operator new() [1/2]

static void* cppu::IPropertyArrayHelper::operator new | ( | size_t | nSize | ) |
| inlinestatic

## ◆ operator new() [2/2]

static void* cppu::IPropertyArrayHelper::operator new | ( | size_t | ,
|  | void * | pMem
| ) |  |
| inlinestatic

The documentation for this class was generated from the following file:

- cppuhelper/propshlp.hxx